

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>USBQualityTest &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Python programs and modules" href="index.html" />
    <link rel="next" title="EWtoPy" href="EWtoPy.html" />
    <link rel="prev" title="TestWeatherStation" href="TestWeatherStation.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="EWtoPy.html" title="EWtoPy"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="TestWeatherStation.html" title="TestWeatherStation"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="module-USBQualityTest">
<span id="usbqualitytest"></span><h1>USBQualityTest<a class="headerlink" href="#module-USBQualityTest" title="Permalink to this headline">¶</a></h1>
<p>Test quality of USB connection to weather station</p>
<div class="highlight-python"><pre>usage: python USBQualityTest.py [options]
options are:
 -h | --help           display this help
 -v | --verbose        increase amount of reassuring messages
                       (repeat for even more messages e.g. -vvv)</pre>
</div>
<p>The USB link to my weather station is not 100% reliable. The data
read from the station by the computer is occasionally corrupted,
perhaps by interference. I&#8217;ve been trying to solve this by putting
ferrite beads around the USB cable and relocating possible
interference sources such as external hard drives. All without any
success so far.</p>
<p>This program tests the USB connection for errors by continuously
reading the entire weather station memory (except for those parts that
may be changing) looking for errors. Each 32-byte block is read twice,
and if the two readings differ a warning message is displayed. Also
displayed are the number of blocks read, and the number of errors
found.</p>
<p>I typically get one or two errors per hour, so the test needs to be
run for several hours to produce a useful measurement. Note that other
software that accesses the weather station (such as <a class="reference internal" href="Hourly.html"><em>Hourly</em></a> or
<a class="reference internal" href="LiveLog.html"><em>LiveLog</em></a>) must not be run while the test is in progress.</p>
<p>If you run this test and get no errors at all, please let me know.
There is something good about your setup and I&#8217;d love to know what it
is!</p>
<p class="rubric">Functions</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="#USBQualityTest.main" title="USBQualityTest.main"><tt class="xref py py-obj docutils literal"><span class="pre">main</span></tt></a>([argv])</td>
<td></td>
</tr>
</tbody>
</table>
<dl class="function">
<dt id="USBQualityTest.main">
<tt class="descclassname">USBQualityTest.</tt><tt class="descname">main</tt><big>(</big><em>argv=None</em><big>)</big><a class="reference internal" href="../_modules/USBQualityTest.html#main"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#USBQualityTest.main" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="TestWeatherStation.html"
                        title="previous chapter">TestWeatherStation</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="EWtoPy.html"
                        title="next chapter">EWtoPy</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="EWtoPy.html" title="EWtoPy"
             >next</a> |</li>
        <li class="right" >
          <a href="TestWeatherStation.html" title="TestWeatherStation"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>